> For the complete documentation index, see [llms.txt](https://mariadb.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://mariadb.com/docs/server/reference/system-tables/information-schema/information-schema-tables/information-schema-innodb-tables/information-schema-innodb_sys_tablestats-table.md).

# Information Schema INNODB\_SYS\_TABLESTATS Table

The [Information Schema](/docs/server/reference/system-tables/information-schema.md) `INNODB_SYS_TABLESTATS` table contains InnoDB status information. It can be used for developing new performance-related extensions, or high-level performance monitoring.

The `PROCESS` [privilege](/docs/server/reference/sql-statements/account-management-sql-statements/grant.md) is required to view the table.

Note that the MySQL InnoDB and Percona XtraDB versions of the tables differ (see [XtraDB and InnoDB](/docs/server/server-usage/storage-engines/innodb.md)).

It contains the following columns:

| Column                 | Description                                                                                                                                                                                                                     |
| ---------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| TABLE\_ID              | Table ID, matching the [INNODB\_SYS\_TABLES.TABLE\_ID](/docs/server/reference/system-tables/information-schema/information-schema-tables/information-schema-innodb-tables/information-schema-innodb_sys_tables-table.md) value. |
| SCHEMA                 | Database name (XtraDB only).                                                                                                                                                                                                    |
| NAME                   | Table name, matching the [INNODB\_SYS\_TABLES.NAME](/docs/server/reference/system-tables/information-schema/information-schema-tables/information-schema-innodb-tables/information-schema-innodb_sys_tables-table.md) value.    |
| STATS\_INITIALIZED     | Initialized if statistics have already been collected, otherwise Uninitialized.                                                                                                                                                 |
| NUM\_ROWS              | Estimated number of rows currently in the table. Updated after each statement modifying the data, but uncommitted transactions mean it may not be accurate.                                                                     |
| CLUST\_INDEX\_SIZE     | Number of pages on disk storing the clustered index, holding InnoDB table data in primary key order, or NULL if not statistics yet collected.                                                                                   |
| OTHER\_INDEX\_SIZE     | Number of pages on disk storing secondary indexes for the table, or NULL if not statistics yet collected.                                                                                                                       |
| MODIFIED\_COUNTER      | Number of rows modified by statements modifying data.                                                                                                                                                                           |
| AUTOINC                | [Auto\_increment](/docs/server/reference/data-types/auto_increment.md) value.                                                                                                                                                   |
| REF\_COUNT             | Countdown to zero, when table metadata can be removed from the table cache. (InnoDB only)                                                                                                                                       |
| MYSQL\_HANDLES\_OPENED | (XtraDB only).                                                                                                                                                                                                                  |

<sub>*This page is licensed: CC BY-SA / Gnu FDL*</sub>

{% @marketo/form formId="4316" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/system-tables/information-schema/information-schema-tables/information-schema-innodb-tables/information-schema-innodb_sys_tablestats-table.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
